toolzerhub API Docs

Get account

Get an account's public profile, verification status, and activity counts. An unknown handle returns data: null.

1 credit / requestBilled only on success
GET
/v1/x/user

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

handle*string

Account handle with or without @, or a full x.com or twitter.com profile URL. Handles contain 1–15 letters, digits, or underscores.

Lengthlength <= 300
curl -X GET "https://example.com/v1/x/user?handle=nasa" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "11348282",    "handle": "NASA",    "name": "NASA",    "description": "There's space for everybody. ✨",    "location": "Pale Blue Dot",    "website": "http://nasa.gov",    "created_at": "Wed Dec 19 20:20:32 +0000 2007",    "followers_count": 92304095,    "following_count": 119,    "tweet_count": 74339,    "listed_count": 79251,    "media_count": 15064,    "favourites_count": 15299,    "verified": false,    "is_blue_verified": true,    "protected": false,    "profile_image_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg",    "profile_banner_url": "https://pbs.twimg.com/profile_banners/11348282/1600956165",    "professional": null,    "requested_handle": "nasa"  }}